/* Header */
.header {
    background-color: var(--white);
    padding: 0.5rem 0;
    border-bottom: 1px solid var(--gris-borde);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    overflow: visible;
    transform: translateY(-100%);
    opacity: 0;
    transition: transform 0.3s ease, opacity 0.3s ease;
    border-bottom-left-radius: 24px;
    border-bottom-right-radius: 24px;
}

.header-container {
    max-width: 1520px;
    margin: 0 auto;
    padding: 0 2rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}

.header.visible {
    transform: translateY(0);
    opacity: 1;
    padding-top: 0;
}

.header-logo {
    display: flex;
    align-items: center;
    height: 100%;
}

.header-logo img {
    height: 100px;
    margin-bottom: -38px;
}

.header-nav {
    display: flex;
    gap: 9px;
    align-items: center;
    list-style: none;
    flex-wrap: nowrap;
    white-space: nowrap;
}

.header-nav a {
    color: var(--color-text-primary);
    text-decoration: none;
    font-size: 17.686px;
    line-height: 13.623px;
    letter-spacing: -0.057px;
    transition: color 0.3s;
    padding: 10px 25px;
    border-radius: 39px;
    font-weight: 500;
    white-space: nowrap;
    transition: 500ms;
}

.header-nav a:hover {
    color: #000000;
    background-color: #D8D8D8;
    font-weight: 700;
    transition: 500ms;
}

.header-nav a.active {
    background-color: #D8D8D8;
    color: #000000;
    font-weight: 700;
    transition: 500ms;
}

.header-cta {
    background-color: var(--color-primary);
    color: var(--color-text-primary);
    padding: 0.6rem 1.5rem;
    border-radius: 50px;
    text-decoration: none;
    font-weight: bold;
    transition: background-color 0.3s;
    padding: 10px 44px !important;
}

.header-nav .header-cta {
    background-color: #000;
    color: #fff;
}

.header-cta:hover {
    background-color: #000;
    color: var(--white);
}

@media (max-width: 768px) {
    .header {
        display: none !important;
        /* Always hide header on mobile */
    }

    .header-nav {
        flex-direction: column;
        gap: 1rem;
    }
}